<template>
  <div class="addButton" @click="handleClick">
    <span class="addButton__icon" v-wave>
      <svg-icon name="plus" />
    </span>
    <span class="addButton__title">{{ $t('buttons.add_payment') }}</span>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import type { UiVariant, UiSize } from '@/types/ui'

export default defineComponent<{
  to: string
  variant: UiVariant
}>({
  name: 'Button',
  props: ['to'],
  setup(_, { emit }) {
    const handleClick = (event: any) => {
      emit('click', event)
    }
    return {
      handleClick
    }
  }
})
</script>

<style lang="scss" scoped>
@import '~/assets/scss/variables';

.addButton {
  cursor: pointer;
  margin: 10px 0 40px 0;
  padding: 0px;
  background: 0;
  border: none;
  outline: none;
  display: flex;
  align-items: center;
  &__icon {
    margin-right: 20px;
    flex: none;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: rgba($--color-primary, 0.2);
    display: flex;
    align-items: center;
    justify-content: center;
    svg {
      width: 20px;
      height: 20px;
      fill: $--color-primary;
    }
  }
  &__title {
    text-align: left;
    font-size: 20px;
    line-height: 25px;
    letter-spacing: 0px;
    color: #ffffff;
  }
}
</style>
